Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20987 - Please create main page Tab for Bengali wikipedia.
Please create main page Tab for Bengali wikipedia.
Status: RESOLVED DUPLICATE of bug 14267
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://bn.wikipedia.org
:
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2009-10-04 20:56 UTC by Jayanta Nath
Modified: 2012-10-04 09:53 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jayanta Nath 2009-10-04 20:56:47 UTC
Please create main page Tab for Bengaliwikipedia.If you see the main page of English wikipedia you can see the repective tab shown as "Main page" . But if you see our main page of Bengali wikipedia, you can see "নিবন্ধ"(Article).not shown "প্রধান পাতা"(main page). Why? How they done in English Wikipedia?

Mediawiki:Mainpage‎ and Mediawiki:Mainpage‎-description‎ both are assign "প্রধান পাতা"(main page). And Mediawiki:Nstab-main assign to "নিবন্ধ"(Article).
Comment 1 Roan Kattouw 2009-10-04 21:03:35 UTC
enwiki does this by using local JS (in [[MediaWiki:Common.js]], search for "main page layout fixes"). A sysop can simply copy this piece of JS to bnwiki's [[MediaWiki:Common.js]]
Comment 2 Platonides 2009-10-04 21:10:55 UTC
Javascript shouldn't be used for that.

The ca-nstab-project tab seems to be done on PHP.

To hide the title and categories of নিবন্ধ add to MediaWiki:Common.css
body.page-প্রধান_পাতা h1.firstHeading, body.page-প্রধান_পাতা#catlinks { display:none; }

Comment 3 Roan Kattouw 2009-10-04 21:12:49 UTC
(In reply to comment #2)
> Javascript shouldn't be used for that.
> 
> The ca-nstab-project tab seems to be done on PHP.
> 
If I understand correctly, the reporter wants the tab on the main page to say "main page" (in Bengali). The ca-nstab-* messages only work per namespace.
Comment 4 Platonides 2009-10-04 21:16:47 UTC
> The ca-nstab-* messages only work per namespace.

There must be a way to change them for the main page without using CSS or javascript

Please compare:

wget http://es.wikipedia.org/wiki/Wikipedia:Portada -O - --user-agent=Bug20987 | grep ca-nstab-project
                   <li id="ca-nstab-project" class="selected"><a href="/wiki/Wikipedia:Portada" title="Ver la página de proyecto [a]" accesskey="a">Portada</a></li>

wget http://es.wikipedia.org/wiki/Wikipedia:Café -O - --user-agent=Bug20987 | grep ca-nstab-project
                   <li id="ca-nstab-project" class="selected"><a href="/wiki/Wikipedia:Caf%C3%A9" title="Ver la página de proyecto [a]" accesskey="a">Página del proyecto</a></li>
Comment 5 Jayanta Nath 2009-10-17 09:44:57 UTC
Dear all, I had tried js and MediaWiki:Common.css.But it is not fixed.  Please rethink our issue.
 
Comment 6 Platonides 2009-10-17 12:21:52 UTC
I have found how it is done on es.wikipedia: Using a parser function.
http://es.wikipedia.org/w/index.php?title=MediaWiki:Nstab-project&action=edit
Domas may want to kill some admin for doing that.
Comment 7 db [inactive,noenotif] 2010-11-08 20:21:43 UTC
There is a message 'pagetitle-view-mainpage' for the title-tag, maybe add a new one for the namespace tab.
Comment 8 db [inactive,noenotif] 2010-12-29 00:20:50 UTC

*** This bug has been marked as a duplicate of bug 14267 ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links